package xyz.etztech.minecraftmanager.listeners;

import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import xyz.etztech.minecraftmanager.MinecraftManager;
import xyz.etztech.minecraftmanager.objects.OreAlert;

public class BlockBreakListener implements Listener {

    private MinecraftManager plugin;

    public BlockBreakListener(MinecraftManager minecraftManager) {
        this.plugin = minecraftManager;
    }

    @EventHandler
    public void onBlockBreak(BlockBreakEvent event) {

        if (plugin.getConfig().getBoolean("orealert.enabled", true)) {
            Block block = event.getBlock();
            Player player = event.getPlayer();
            if (Material.DIAMOND_ORE == block.getType()) {
               plugin.getOreAlert().getQueue().add(new OreAlert.Strike(player, block));
            }
        }
    }

}
